org.apache.maven.scm.provider.cvslib.command.status

## Class AbstractCvsStatusCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.status.AbstractStatusCommand
    - - org.apache.maven.scm.provider.cvslib.command.status.AbstractCvsStatusCommand

All Implemented Interfaces:
  Command, CvsCommand

Direct Known Subclasses:
  CvsExeStatusCommand, CvsJavaStatusCommand

    public abstract class AbstractCvsStatusCommand
    extends AbstractStatusCommand
    implements CvsCommand

Version:
  $Id: AbstractCvsStatusCommand.java 691810 2008-09-03 22:38:28Z vsiveton $
Author:
  Brett Porter

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractCvsStatusCommand()`

### Method Summary

Methods
`protected abstract StatusScmResult` `executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl)`
`protected StatusScmResult` `executeStatusCommand(ScmProviderRepository repo, ScmFileSet fileSet)`

### Methods inherited from class org.apache.maven.scm.command.status.AbstractStatusCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### AbstractCvsStatusCommand

    public AbstractCvsStatusCommand()

### Method Detail

#### executeStatusCommand

    protected StatusScmResult executeStatusCommand(ScmProviderRepository repo,
                                       ScmFileSet fileSet)
                                            throws ScmException

Specified by:
  `executeStatusCommand` in class `AbstractStatusCommand`
Throws:
  `ScmException`

#### executeCvsCommand

    protected abstract StatusScmResult executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl)
                                                  throws ScmException

Throws:
  `ScmException`